SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001064: Source IP Based port forwards - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001064Endian FirewallFirewall (iptables)public2008-07-02 03:232009-10-27 12:21
Reporterjvodan 
Assigned Topeter-endian 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.3Fixed in Version2.3 
Summary0001064: Source IP Based port forwards
DescriptionWe would like the ability to set the source address on port forwards.

as in the following segment of the output from:
  iptables -t nat -vnL PORTFW
  0 0 DNAT tcp -- * * 212.213.148.213 211.11.211.11 tcp dpt:3389 to:192.168.114.16:3389

The purpose is two fold
Security
The ability to determine which internal machine to be routed to, based on the source ip address.


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-07-02 03:23 jvodan New Issue
2008-07-02 03:23 jvodan Status new => assigned
2008-07-02 03:23 jvodan Assigned To => peter-endian
2008-07-02 08:32 peter-endian Target Version => 2.3
2008-09-10 15:58 chris-endian Target Version 2.3 => future
2009-05-27 09:40 peter-endian Status assigned => resolved
2009-05-27 09:40 peter-endian Fixed in Version => 2.3
2009-05-27 09:40 peter-endian Resolution open => fixed
2009-10-27 12:00 peter-endian Status resolved => closed
2009-10-27 12:21 peter-endian Target Version future => 2.3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker